package com.cyksj.service.home;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyksj.model.entity.HomeManagementConfig;
import com.cyksj.model.request.HomeConfigTimingReq;
import com.cyksj.model.request.HomeManageConfigReq;

import java.util.List;

/*
 *项目名: netflix
 *文件名: HomeManagementConfigService
 *创建者: JavaZou
 *创建时间:2023/8/17 16:48
 */
public interface HomeManagementConfigService extends IService<HomeManagementConfig> {
	void saveOrUpdateConfig(HomeManageConfigReq config);

	void timingUpdateStatus(HomeConfigTimingReq req);

	void timingCancel(Long id);

	void batchCancelTimingStatus(List<Long> ids);
}
